Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

5 - Les serveurs son : Jack, PulseAudio et autres...

> Forums de discussion > 5 - Les serveurs son : Jack, PulseAudio et autres... > [CONTOURNÉ, changé de distro] jack et xmms
Dernier post

[CONTOURNÉ, changé de distro] jack et xmms

ttt utilisateur non connecté
Salut à tous,

je suis un nouveau venu sur linux et en MAO et j'ai d'emblée quelques problèmes avec jack...
En fait dès la commande
'# modprobe realtime gid=29

(en ayant bien vérifié que 29 était le groupe audio et que je suis dedans)
jereçois:
FATAL: Module realtime not found.

J'ai essayer d'installer le paquet realtime-lsm mais ça ne change rien. En fait je ne sais pas du tout gérer l'insertion de nouveaux modules...

Par ailleurs (peut être que c'est dû à ce qui précède) quand qjackctl est lancé et xmms aussi (avec en plugin de sortie jack driver) je ne parviens pas à voir xmms dans les connexions à jack. et quand j'essaie de lire un morceau dans xmms je reçois:
ERR: bio2jack.c::JACK_Error(937) cannot use real-time scheduling (FIFO at priority 9) for thread -1246839888, from thread -1246839888 (1: Opération non permise)

Erreur de segmentation

Vous avez probablement découvert un bug dans XMMS, veuillez visiter
http://bugs.xmms.org et remplir un rapport de bug.

Xlib: unexpected async reply (sequence 0xe1a)!


Par ailleurs j'ai déjà plusieurs Xrun avant d'avoir commencé. Est ce normal?

Enfin quelle priorité donner à Jack dans votre wiki il est écrit 90 mais je ne peux dépasser 89? Erreur de frappe?

Bref, je suis perdu...
Une idée?

Merci

ttt

ttt utilisateur non connecté
Salut,

désolé du manque d'info... rolleyes

Je suis sous debian. J'ai suivi le tuto de ce site qu'on trouve à l'adresse:
http://www.linuxmao.org/tikiwiki/tiki-index.php?page=Jack http://www.linuxmao.org/tikiwiki/tiki-index.php?page=Jack" class="wiki wikinew">?

En ce qui concerne le tuto d'unbuntu je le trouve clair aussi. Le truc c'est que j'ai eu un problème de sécurité dans le module-assistant et que j'ai dû reconfigurer et recompiler mon noyau... neutral J'en ai profité pour installer le dernier noyau satble: 2.6.17.6... Mais manque de chance ya justement un bug de realtime sur ce noyau.... sad (bug: 376051).
Je suppose qu'il faut juste que j'attende qu'il soit fixé.

Merci de ton aide.

ttt

joseph_desiré utilisateur non connecté France
Effectivement s'il y a un bug, y'a pas grand chose à faire qu'attendre wink

Citation :
Effectivement s'il y a un bug, y'a pas grand chose à faire qu'attendre wink


Je serais un poil plus optimiste wink. Je vois quand même au moins 2 solutions :

1) Si l'installation de realtime-lsm n'est pas possible, tu peux toujours tenter d'utiliser la solution PAM/rlimits. Ca tombe bien, c'est celle que recommandent les développeurs du noyau ! Elle est plus sécurisée mais serait un poil moins performante ... je n'ai personnellement pas constaté de réelles différences. L'avantage, outre le fait que cette solution devrait être amenée à s'étendre (voire à s'améliorer) puisque c'est celle qui est désormais officiellement supportée, c'est que tu n'as plus à relancer l'installation du module "realtime-lsm" à chaque upgrade du kernel ... Commences donc par jeter un oeil à la section accès temps réel pour les applications. En gros y'a 2 moyens pour la mettre en oeuvre :
  • PAM en version > 0.8, ou sinon PAM en version patchée.
  • L'utilitaire set_rtlimits pour les distribs sans version de PAM adéquate (en attendant la généralisation de la version correcte de PAM qui devrait logiquement se répandre dans toutes les distribs). Le tuto Ubuntu présente cette solution, je ne sais pas si c'est directement transposable sur ta Debian ...


2) Si tu veux vraiment utiliser realtime-lsm, il te faudra "downgrader" ton noyau à une version inférieure pour laquelle le bug n'existe pas ... (voir dans le répertoire "older " pour le patch d'Ingo des anciennes versions du kernel) ou attendre une version plus récente corrigée !


Note : ces différentes solutions s'excluent mutuellement ... à toi de faire les choix !

Trinine

ttt utilisateur non connecté
Aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaah!!!

(bonjour quand même...)

Je viens de faire de la grosse merde... (je rappelle que je suis nouveau sur linux)
Pour pouvoir faire de la mao et installer jack j'ai essayer d'installer PAM. J'ai suivi les conseils de la page accès temps réel pour les applications. J'ai donc téléchargé pam0.80 puis ai tapé:
'./configure
make
make install'
je me suis ensuite rendu compte que 0.80 n'était peut être pas suffisant (c'est un signe strictement > dans le tuto). J'ai donc téléchargé pam0.99.5.0 fait le:
'./configure'
Ensuite je me suis dit qu'il fallait desinstaller pam0.80 j'ai donc fait un:
'make clean
make distclean
make remove'
dans son répertoire.
Puis ai installer Pam0.99.5.0 avec les commandes:
'make
make install'
Je me suis ensuite déconnecté de root...

Et la HORREUR!!!! Si je veux me reconnecter en root j'obtiens:
'su
Su: Module inconnu'
je redémarre donc l'ordi (comme tout ancien wondowsien) et maintenant je ne peut même pas me connecter à ma session.
Je rentre mon login (le bon je promets) et je reçois juste un
'authentification failure'
Le pied!!! Donc voila, j'ai plus d'ordi... je suis trop content et je n'ai absolument aucune idée de comment m'en sortir.

Si un magicien de linux pouvait m'aider ça m'aiderai à ne pas repasser sous windows...

Je suis vraiment véreux là...

Merci d'avance

ttt

ttt utilisateur non connecté
Bon devant le manque d'idée et l'envie de quitter windows, j'ai réinstaller mon système. confused
Cette fois ci je suis sous mandriva et c'est vrai que c'est carrément plus simple...

A bientôt pour de nouvelles aventures

Citation :
Bon devant le manque d'idée et l'envie de quitter windows, j'ai réinstaller mon système. confused
Cette fois ci je suis sous mandriva et c'est vrai que c'est carrément plus simple...

A bientôt pour de nouvelles aventures


Salut,

Réponse un peu tardive, les vacances tout ça cool

C'est vrai que débuter sa migration par des installations manuelles et une compil' de noyau ... c'est pas forcément la voie la plus simple biggrin ! J'espère qu'avec Mandriva, cela te paraîtra plus abordable. En plus tu tombes bien, le tuto mandriva a été largement complété tout récemment par notre ami charcler ...

Bonne découverte !

Trinine

xzu utilisateur non connecté France
Et donc on clôt! biggrin

édition Olinuxx 06 juin 2012 : Bien vu misteur roukneg :-) J'ajoute un [CONTOURNÉ] dans le titre du premier message.

Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Faire un don
[Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

olinuxx, 20:37, mer. 04 Aug 2021: Bonjour et bienvenue à PianoOrgan3478 cool
sub26nico, 16:00, mer. 04 Aug 2021: Bonjour et bienvenue à EricV86, smith8395john, alinabeth et leowilson :-)
sub26nico, 13:05, lun. 02 Aug 2021: @CyrilRos, ton lien ci-bas ne fonctionne pas
CyrilRos, 22:59, dim. 01 Aug 2021: Tux|N|Mix 21.1 disponible [Lien]
sub26nico, 14:33, dim. 01 Aug 2021: Salut et bienvenue à Youplala, Cant' et Bluetak :-)
CyrilRos, 21:45, mar. 27 Jul 2021: [Lien]
olinuxx, 20:54, mar. 27 Jul 2021: Bonjour et bienvenue à nick cool
olinuxx, 20:47, dim. 25 Jul 2021: Bonjour et bienvenue à GrosRems et à paulisaak cool
olinuxx, 20:05, jeu. 22 Jul 2021: Bonjour et bienvenue à labeyte07 cool
olinuxx, 21:03, mar. 20 Jul 2021: Bonjour et bienvenue à tv cool
Nolwen, 19:33, lun. 19 Jul 2021: Hola,À propos de la création de pattern (motifs) MIDI pour batterie, quelqu'un sait-il où en est la discussion ?
olinuxx, 01:28, lun. 19 Jul 2021: Lolo-Rosso : l'adresse courriel que tu as renseignée lors de ton inscription n'est pas fonctionnelle. Contacte moi pour corriger le soucis : [Lien]